VkDeviceGeneratedCommandsLimitsNVX Struct Reference

`#include <vulkan.h>`

## Data Fields

VkStructureType | sType
const void * | pNext
uint32_t | maxIndirectCommandsLayoutTokenCount
uint32_t | maxObjectEntryCounts
uint32_t | minSequenceCountBufferOffsetAlignment
uint32_t | minSequenceIndexBufferOffsetAlignment
uint32_t | minCommandsTokenBufferOffsetAlignment

## Detailed Description

Definition at line 5705 of file vulkan.h.

## Field Documentation

## maxIndirectCommandsLayoutTokenCount

uint32_t VkDeviceGeneratedCommandsLimitsNVX::maxIndirectCommandsLayoutTokenCount

Definition at line 5708 of file vulkan.h.

## maxObjectEntryCounts

uint32_t VkDeviceGeneratedCommandsLimitsNVX::maxObjectEntryCounts

Definition at line 5709 of file vulkan.h.

## minCommandsTokenBufferOffsetAlignment

uint32_t VkDeviceGeneratedCommandsLimitsNVX::minCommandsTokenBufferOffsetAlignment

Definition at line 5712 of file vulkan.h.

## minSequenceCountBufferOffsetAlignment

uint32_t VkDeviceGeneratedCommandsLimitsNVX::minSequenceCountBufferOffsetAlignment

Definition at line 5710 of file vulkan.h.

## minSequenceIndexBufferOffsetAlignment

uint32_t VkDeviceGeneratedCommandsLimitsNVX::minSequenceIndexBufferOffsetAlignment

Definition at line 5711 of file vulkan.h.

## pNext

const void* VkDeviceGeneratedCommandsLimitsNVX::pNext

Definition at line 5707 of file vulkan.h.

## sType

VkStructureType VkDeviceGeneratedCommandsLimitsNVX::sType

Definition at line 5706 of file vulkan.h.

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.h